LibreOffice: DataBar Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Exported Interfaces | Public Attributes | List of all members
DataBar Service Reference
Inheritance diagram for DataBar:

## Public Types
typedef sequence< XDataBarEntry > | DataBarEntries

## Exported Interfaces
interface | XConditionEntry

## Public Attributes
boolean | ShowValue
long | AxisPosition
| See com.sun.star.sheet.DataBarAxis for possible values.
boolean | UseGradient
com::sun::star::util::Color | Color
com::sun::star::util::Color | AxisColor
boolean | UseNegativeColor
com::sun::star::util::Color | NegativeColor
double | MinimumLength
| Minimum databar length in percent of cell width.
double | MaximumLength
| Maximum databar length in percent of cell width.

## Additional Inherited Members
Public Member Functions inherited from XConditionEntry
long | getType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Typedef Documentation

## ◆ DataBarEntries

sequence<XDataBarEntry> DataBarEntries
| property

## Exported Interfaces

## ◆ XConditionEntry

interface XConditionEntry

## Member Data Documentation

## ◆ AxisColor

com::sun::star::util::Color AxisColor
| property

## ◆ AxisPosition

long AxisPosition
| property

See com.sun.star.sheet.DataBarAxis for possible values.

## ◆ Color

com::sun::star::util::Color Color
| property

## ◆ MaximumLength

double MaximumLength
| property

Maximum databar length in percent of cell width.

Allowed values are (0, 1000) but larger than MinimumLength.

## ◆ MinimumLength

double MinimumLength
| property

Minimum databar length in percent of cell width.

Allowed values are [0, 100) but smaller than MaximumLength.

## ◆ NegativeColor

com::sun::star::util::Color NegativeColor
| optionalproperty

## ◆ ShowValue

boolean ShowValue
| property

## ◆ UseGradient

boolean UseGradient
| property

## ◆ UseNegativeColor

boolean UseNegativeColor
| property

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataBar.idl